org.multiverse.api.functions

## Class DoubleFunction

- java.lang.Object
- - org.multiverse.api.functions.DoubleFunction

All Implemented Interfaces:
  Function<java.lang.Double>

    public abstract class DoubleFunction
    extends java.lang.Object
    implements Function<java.lang.Double>

A `Function` for primitives that accepts an argument of type double and returns a new value of the same type.

The reason why `DoubleFunction` is an abstract class instead of an ordinary interface, is that this class doesn't cause any unwanted boxing of primitives version of the call method is used instead of the one that accepts and returns a/an Double).

This class is generated.

### Constructor Summary

Constructors
Constructor and Description
`DoubleFunction()`

### Method Summary

Methods
`abstract double` `call(double current)` Calculates the new value based on the current value.
`java.lang.Double` `call(java.lang.Double arg)` Evaluates the function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleFunction

    public DoubleFunction()

### Method Detail

#### call

    public abstract double call(double current)

Calculates the new value based on the current value.

Parameters:
  `current` - the current value.
Returns:
  the new value.

#### call

    public final java.lang.Double call(java.lang.Double arg)

Description copied from interface: `Function`
Evaluates the function.

Specified by:
  `call` in interface `Function<java.lang.Double>`
Parameters:
  `arg` - the value to evaluate.
Returns:
  the result of the evaluation